From 6f8de09996fc92c4d433dbcf4dda42e567dee3a0 Mon Sep 17 00:00:00 2001
From: castro-fidel <tergoevm@gmail.com>
Date: Wed, 26 Jan 2022 13:37:44 +0300
Subject: [PATCH] ###Scripts version 2072###

---
 data_from_portwine/changelog_eng              |  3 +++
 data_from_portwine/changelog_rus              |  2 ++
 data_from_portwine/scripts/functions_helper   | 18 ++++++-------
 .../scripts/portwine_db/League of Legends     |  2 +-
 data_from_portwine/scripts/start.sh           | 26 +++++++++----------
 data_from_portwine/scripts/var                |  2 +-
 portwine_install_script/PortProton-97         |  2 +-
 7 files changed, 30 insertions(+), 25 deletions(-)

diff --git a/data_from_portwine/changelog_eng b/data_from_portwine/changelog_eng
index 65f59269..6a1c3241 100644
--- a/data_from_portwine/changelog_eng
+++ b/data_from_portwine/changelog_eng
@@ -2,6 +2,9 @@ You can help us in the development of the project on the website: https://boosty
 -----------------------------------------
 Changelog:
 
+###Scripts version 2072###
+* HOTFIX - fixed launch of League of Legends
+
 ###Scripts version 2071###
 * added the ability to download other versions of WINE when opening an exe file (in the WINE selection drop-down list)
 * updated launch mode gamemode (bug fixed libgamemode.so)
diff --git a/data_from_portwine/changelog_rus b/data_from_portwine/changelog_rus
index 52ebaa29..087a9453 100755
--- a/data_from_portwine/changelog_rus
+++ b/data_from_portwine/changelog_rus
@@ -1,6 +1,8 @@
 Вы можете помочь развитию проекта: https://portwine-linux.ru/donate/
 -----------------------------------------
 История изменений:
+###Scripts version 2072###
+* HOTFIX - исправлен запуск League Of Legends
 
 ###Scripts version 2071###
 * добавлена возможность скачивать другие версии WINE при запуске exe файла (в выпадающем списке выбора WINE)
diff --git a/data_from_portwine/scripts/functions_helper b/data_from_portwine/scripts/functions_helper
index 3eb87cab..ef952144 100755
--- a/data_from_portwine/scripts/functions_helper
+++ b/data_from_portwine/scripts/functions_helper
@@ -526,7 +526,7 @@ pw_download_libs () {
 
 pw_check_and_download_wine () {
     [ ! -d "${PORT_WINE_PATH}/data/dist/" ] && create_new_dir "${PORT_WINE_PATH}/data/dist"
-    if [[ "${PW_WINE_USE}" == "GET-OVER-WINE" ]] ; then
+    if [[ "${PW_WINE_USE}" == "GET-OTHER-WINE" ]] ; then
         gui_proton_downloader
     fi
     if [[ ! -z `echo "${PW_WINE_USE}" | grep "^PROTON_STEAM$"` ]] 
@@ -714,7 +714,7 @@ pw_port_update () {
                                 echo "${scripts_current_ver}" > "${PORT_WINE_TMP_PATH}/scripts_ver"
                                 zenity --title="Changelog" --text-info --width=1200 --height=550 \
                                 --filename="${PORT_WINE_PATH}/data/${PW_CHANGELOG_FILE}"
-                                [ "$?" == 0 ] && /bin/bash ${pw_full_command_line[*]} &
+                                [ "$?" == 0 ] && /bin/bash -c ${pw_full_command_line[*]} &
                                 exit 0
                             fi
                         else
@@ -805,7 +805,7 @@ pw_gui_for_edit_db () {
     --window-icon="$PW_GUI_ICON_PATH/port_proton.png" --button="CANCEL":1 --button="OPEN DB FILE":150 --button="SAVE CHANGES":0
     YAD_STATUS="$?"
     if [[ "$YAD_STATUS" == "1" ]] ; then
-        /bin/bash ${pw_full_command_line[*]} &
+        /bin/bash -c ${pw_full_command_line[*]} &
         exit 0
     elif [[ "$YAD_STATUS" == "252" ]] ; then 
         exit 0
@@ -865,7 +865,7 @@ gui_proton_downloader () {
     pw_stop_progress_bar
     if [[ -z "${PROTON_GE_GIT}" ]] || [[ -z "${PROTON_PW_GIT}" ]] ; then
         zenity_error "Error: check wine from github."
-        /bin/bash ${pw_full_command_line[*]} &
+        /bin/bash -c ${pw_full_command_line[*]} &
         exit 0
     fi
     for INSTALLING_VERSION_IN_DIST in `ls "${PORT_WINE_PATH}/data/dist/"` ; do
@@ -890,7 +890,7 @@ gui_proton_downloader () {
     --tab-pos=top --tab="PROTON-GE" --tab="PROTON-PW" --tab="INSTALLED"`
     YAD_WINE_STATUS="$?"
     if [[ "$YAD_WINE_STATUS" == "1" || "$YAD_WINE_STATUS" == "252" ]] ; then
-        /bin/bash ${pw_full_command_line[*]} &
+        /bin/bash -c ${pw_full_command_line[*]} &
         exit 0
     fi
 
@@ -916,7 +916,7 @@ gui_proton_downloader () {
 	if [[ ! -z "${VERSION_INSTALLED_WINE}" ]]; then
 		try_remove_dir "${PORT_WINE_PATH}/data/dist/${VERSION_INSTALLED_WINE}"
 		unset VERSION_INSTALLED_WINE
-        /bin/bash ${pw_full_command_line[*]} &
+        /bin/bash -c ${pw_full_command_line[*]} &
         exit 0
 	fi
 	
@@ -940,7 +940,7 @@ gui_proton_downloader () {
     else
         zenity_error_download && gui_proton_downloader
     fi
-    /bin/bash ${pw_full_command_line[*]} &
+    /bin/bash -c ${pw_full_command_line[*]} &
     exit 0
 }
 export -f gui_proton_downloader
@@ -980,7 +980,7 @@ gui_vkBasalt () {
     YAD_VKBASALT_STATUS="$?"
     case "${YAD_VKBASALT_STATUS}" in
         1|252)
-            /bin/bash ${pw_full_command_line[*]} &
+            /bin/bash -c ${pw_full_command_line[*]} &
             exit 0 ;;
         180)
             export ENABLE_VKBASALT=0 ;;
@@ -1008,6 +1008,6 @@ gui_vkBasalt () {
         export PW_VKBASALT_FFX_CAS="0`bc -s <<< "scale=2; $YAD_CAS_SET/100"`"
     fi
     edit_db_from_gui PW_VKBASALT_EFFECTS PW_VKBASALT_FFX_CAS ENABLE_VKBASALT
-    /bin/bash ${pw_full_command_line[*]} &
+    /bin/bash -c ${pw_full_command_line[*]} &
     exit 0
 }
diff --git a/data_from_portwine/scripts/portwine_db/League of Legends b/data_from_portwine/scripts/portwine_db/League of Legends
index c6107d5c..c8cbd463 100755
--- a/data_from_portwine/scripts/portwine_db/League of Legends	
+++ b/data_from_portwine/scripts/portwine_db/League of Legends	
@@ -76,7 +76,7 @@ check_port_for_lol () {
     fi
     echo "Waiting for port ${port}"
     kill -STOP ${uxpid}
-    timeout 200m /bin/bash "
+    timeout 200m /bin/bash -c "
     until openssl s_client -connect :${port} <<< Q > /dev/null 2>&1 ; do
     sleep 1
     done"
diff --git a/data_from_portwine/scripts/start.sh b/data_from_portwine/scripts/start.sh
index 609288e7..07834c78 100755
--- a/data_from_portwine/scripts/start.sh
+++ b/data_from_portwine/scripts/start.sh
@@ -241,7 +241,7 @@ pw_edit_db () {
     PW_WINEDBG_DISABLE PW_USE_TERMINAL PW_WINE_ALLOW_XIM PW_HEAP_DELAY_FREE PW_NO_WRITE_WATCH PW_GUI_DISABLED_CS \
     PW_USE_GSTREAMER PW_USE_GAMEMODE PW_DX12_DISABLE PW_PRIME_RENDER_OFFLOAD PW_D3D_EXTRAS_DISABLE
     if [ "$?" == 0 ] ; then
-        /bin/bash ${pw_full_command_line[*]} &
+        /bin/bash -c ${pw_full_command_line[*]} &
         exit 0
     fi
 }
@@ -283,33 +283,33 @@ if [ ! -z "${PORTWINE_DB_FILE}" ] ; then
             "2") export PW_DEFAULT_VULKAN_USE='VULKAN (WINE DXGI)!VULKAN (DXVK and VKD3D)!OPENGL ' ;;
     esac
     if [[ ! -z `echo "${PW_WINE_USE}" | grep "^PROTON_STEAM$"` ]] ; then
-        export PW_DEFAULT_WINE_USE="${PW_PROTON_STEAM_VER}!${PW_PROTON_GE_VER}${DIST_ADD_TO_GUI}!GET-OVER-WINE"
+        export PW_DEFAULT_WINE_USE="${PW_PROTON_STEAM_VER}!${PW_PROTON_GE_VER}${DIST_ADD_TO_GUI}!GET-OTHER-WINE"
     elif [[ ! -z `echo "${PW_WINE_USE}" | grep "^PROTON_GE$"` ]] ; then
-        export PW_DEFAULT_WINE_USE="${PW_PROTON_GE_VER}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OVER-WINE"
+        export PW_DEFAULT_WINE_USE="${PW_PROTON_GE_VER}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OTHER-WINE"
     else
         if [[ "${PW_WINE_USE}" == "${PW_PROTON_STEAM_VER}" ]] ; then
-            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_GE_VER}${DIST_ADD_TO_GUI}!GET-OVER-WINE" 
+            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_GE_VER}${DIST_ADD_TO_GUI}!GET-OTHER-WINE" 
         elif [[ "${PW_WINE_USE}" == "${PW_PROTON_GE_VER}" ]] ; then
-            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OVER-WINE" 
+            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OTHER-WINE" 
         else
             export DIST_ADD_TO_GUI=`echo ${DIST_ADD_TO_GUI} | sed -e s/"\!${PW_WINE_USE}$//g"`
-            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_GE_VER}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OVER-WINE"
+            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_GE_VER}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OTHER-WINE"
         fi
     fi
 else
     export PW_DEFAULT_VULKAN_USE='VULKAN (DXVK and VKD3D)!VULKAN (WINE DXGI)!OPENGL '
     if [[ ! -z `echo "${PW_WINE_USE}" | grep "^PROTON_STEAM$"` ]] ; then
-        export PW_DEFAULT_WINE_USE="${PW_PROTON_STEAM_VER}!${PW_PROTON_GE_VER}${DIST_ADD_TO_GUI}!GET-OVER-WINE"
+        export PW_DEFAULT_WINE_USE="${PW_PROTON_STEAM_VER}!${PW_PROTON_GE_VER}${DIST_ADD_TO_GUI}!GET-OTHER-WINE"
     elif [[ ! -z `echo "${PW_WINE_USE}" | grep "^PROTON_GE$"` ]] ; then
-        export PW_DEFAULT_WINE_USE="${PW_PROTON_GE_VER}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OVER-WINE"
+        export PW_DEFAULT_WINE_USE="${PW_PROTON_GE_VER}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OTHER-WINE"
     else
         if [[ "${PW_WINE_USE}" == "${PW_PROTON_STEAM_VER}" ]] ; then
-            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_GE_VER}${DIST_ADD_TO_GUI}!GET-OVER-WINE" 
+            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_GE_VER}${DIST_ADD_TO_GUI}!GET-OTHER-WINE" 
         elif [[ "${PW_WINE_USE}" == "${PW_PROTON_GE_VER}" ]] ; then
-            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OVER-WINE" 
+            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OTHER-WINE" 
         else
             export DIST_ADD_TO_GUI=`echo ${DIST_ADD_TO_GUI} | sed -e s/"\!${PW_WINE_USE}$//g"`
-            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_GE_VER}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OVER-WINE"
+            export PW_DEFAULT_WINE_USE="${PW_WINE_USE}!${PW_PROTON_GE_VER}!${PW_PROTON_STEAM_VER}${DIST_ADD_TO_GUI}!GET-OTHER-WINE"
         fi     
     fi
     unset PW_GUI_DISABLED_CS
@@ -346,7 +346,7 @@ else
     gui_clear_pfx () {
         if gui_question "${port_clear_pfx}" ; then
             pw_clear_pfx
-            /bin/bash ${pw_full_command_line[*]} &
+            /bin/bash -c ${pw_full_command_line[*]} &
             exit 0
         fi
     }
@@ -366,7 +366,7 @@ else
 
     gui_pw_update () {
         try_remove_file "${PORT_WINE_TMP_PATH}/scripts_update_notifier"
-        /bin/bash ${pw_full_command_line[*]} &
+        /bin/bash -c ${pw_full_command_line[*]} &
         exit 0
     }
 
diff --git a/data_from_portwine/scripts/var b/data_from_portwine/scripts/var
index b693d8c4..0c4dbf18 100755
--- a/data_from_portwine/scripts/var
+++ b/data_from_portwine/scripts/var
@@ -1,6 +1,6 @@
 #!/bin/bash
 #Author: Castro-Fidel (PortWINE-Linux.ru)
-#SCRIPTS_NEXT_VERSION=2071
+#SCRIPTS_NEXT_VERSION=2072
 #PORT_NEXT_VERSION=97
 ########################################################################
 export PW_MANGOHUD=1
diff --git a/portwine_install_script/PortProton-97 b/portwine_install_script/PortProton-97
index 194c5967..7733e1ab 100755
--- a/portwine_install_script/PortProton-97
+++ b/portwine_install_script/PortProton-97
@@ -156,5 +156,5 @@ fi
 chmod 755 -R "${PORT_WINE_PATH}"
 ########################################################################
 cd "${PORT_WINE_PATH}/data/scripts"
-/bin/bash -c "${PORT_WINE_PATH}/data/scripts/setup.sh" && exit 0
+/bin/bash "${PORT_WINE_PATH}/data/scripts/setup.sh" && exit 0
 ################################ARCH_BIN################################